Apply a template
curl --request POST \
--url https://api.melius.com/api/v1/templates/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"centerX": 123,
"centerY": 123,
"inputs": [
{
"kind": "asset",
"portId": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.melius.com/api/v1/templates/apply"
payload = {
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"centerX": 123,
"centerY": 123,
"inputs": [
{
"kind": "asset",
"portId": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
canvasId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
centerX: 123,
centerY: 123,
inputs: [
{
kind: 'asset',
portId: '<string>',
assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.melius.com/api/v1/templates/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceId": "<string>",
"groupId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Templates
Apply a template
Apply a template to a canvas as a single collapsed box.
Each inputs entry targets a template portId (from List templates) and is one of text, asset (a stored library asset id), or assetUrl (a remote media URL that Melius fetches and stores as an asset — Beta, API-key requests only). The request sample on the right shows an asset input; to pass a media URL instead, send an assetUrl input:
mel_api_key>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <team-id>' \
--data '{
"canvasId": "<canvasId>",
"templateId": "<templateId>",
"inputs": [
{ "kind": "assetUrl", "portId": "<portId>", "url": "https://example.com/photo.jpg", "mediaType": "image" }
]
}'
POST
/
api
/
v1
/
templates
/
apply
Apply a template
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Body
application/json
Body
Last modified on July 31, 2026
⌘I